Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class FlashMediaHandler

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.movies.media.MediaHandler
                              |
                              +--quicktime.std.movies.media.VisualMediaHandler
                                    |
                                    +--quicktime.std.movies.media.FlashMediaHandler

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class FlashMediaHandler
extends VisualMediaHandler
implements quicktime.jdirect.QuickTimeLib

This media handler allows a SWF file to be treated as a track within a QuickTime movie. Because a QuickTime movie may contain any number of tracks, multiple SWF tracks may be added to the same movie. The Flash Media Handler also provides support for an optimized case using the alpha channel graphics mode, which allows a Flash track to be composited cleanly over other tracks.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`int` | `frameLabelToMovieTime(QTPointerRef theLabel)` Given a Flash frame's label, get the corresponding movieTime.
`int` | `frameNumberToMovieTime(int flashFrameNumber)` Given a Flash Frame Number, get the corresponding movieTime.
`int` | `getDisplayedFrameNumber()` Get the currently displayed Flash Frame number.
`QDRect` | `getRefConBounds(int refCon)` You can use mediaHitTestForTargetRefCon() to hit test a flash track and get a refCon for a button or symbol that was hit.
`int` | `getRefConID(int refCon)` A RefCon represents a flash button or symbol at runtime.
`int` | `idToRefCon(int refConID)` A RefCon represents a flash button or symbol at runtime.
`void` | `setPan(short xPercent, short yPercent)` Pan by a percentage.Negative xPercent pans left, positive xPercent pans right.
`void` | `setZoom(short factor)` Zoom in or out by a percentage.
`void` | `setZoomRect(int left, int top, int right, int bottom)` Zoom in on a specified sub rectangle, this becomes the "Zoom Rectangle".

Methods inherited from class quicktime.std.movies.media.VisualMediaHandler
`getGraphicsMode, getTrackOpaque, hitTestForTargetRefCon, hitTestTargetRefCon, setGraphicsMode`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setPan

    public void setPan(short xPercent,
                       short yPercent)
                throws StdQTException

  Pan by a percentage.Negative xPercent pans left, positive xPercent pans right. Negative yPercent pans to bottom, positive yPercent pans to top. The Zoom Rectangle must be less than the full size of the Flash track for panning to be possible.
  QuickTime::FlashMediaSetPan()

  Parameters:
    `xPercent` - left / right pan percent
    `yPercent` - top / bottom pan percent

### setZoom

    public void setZoom(short factor)
                 throws StdQTException

  Zoom in or out by a percentage. Use a number less than 100 to zoom in, and greater than 100 to zoom out.
  QuickTime::FlashMediaSetZoom()

  Parameters:
    `factor` - the zoom percentage factor.

### setZoomRect

    public void setZoomRect(int left,
                            int top,
                            int right,
                            int bottom)
                     throws StdQTException

  Zoom in on a specified sub rectangle, this becomes the "Zoom Rectangle".
  QuickTime::FlashMediaSetZoomRect()

  Parameters:
    `left` - the left corner
    `top` - the top corner
    `right` - the right corner
    `bottom` - the bottom corner

### getRefConBounds

    public QDRect getRefConBounds(int refCon)
                           throws StdQTException

  You can use mediaHitTestForTargetRefCon() to hit test a flash track and get a refCon for a button or symbol that was hit. A RefCon represents a flash button or symbol at runtime.
  QuickTime::FlashMediaGetRefConBounds()

  Parameters:
    `refCon` - the runtime symbol.
  Returns:
    the bounding rectangle for the given refCon

### getRefConID

    public int getRefConID(int refCon)
                    throws StdQTException

  A RefCon represents a flash button or symbol at runtime. The ID represents the button or symbols ID in the .swf file. Converts a Refcon to an ID.
  QuickTime::FlashMediaGetRefConID()

  Parameters:
    `refCon` - the runtime symbol.
  Returns:
    refConID the symbols ID.

### idToRefCon

    public int idToRefCon(int refConID)
                   throws StdQTException

  A RefCon represents a flash button or symbol at runtime. The ID represents the button or symbols ID in the .swf file. Convert an ID to a RefCon.
  QuickTime::FlashMediaIDToRefCon()

  Parameters:
    `refConID` - the symbols ID.
  Returns:
    refCon the symbol.

### getDisplayedFrameNumber

    public int getDisplayedFrameNumber()
                                throws StdQTException

  Get the currently displayed Flash Frame number.
  QuickTime::FlashMediaGetDisplayedFrameNumber()

  Returns:
    flashFrameNumber the flash frame number.

### frameNumberToMovieTime

    public int frameNumberToMovieTime(int flashFrameNumber)
                               throws StdQTException

  Given a Flash Frame Number, get the corresponding movieTime.
  QuickTime::FlashMediaFrameNumberToMovieTime()

  Parameters:
    `flashFrameNumber` - the flash frame number.
  Returns:
    movieTime the corresponding movieTime.

### frameLabelToMovieTime

    public int frameLabelToMovieTime(QTPointerRef theLabel)
                              throws StdQTException

  Given a Flash frame's label, get the corresponding movieTime.
  QuickTime::FlashMediaFrameLabelToMovieTime()

  Parameters:
    `theLabel` - the flash frame's label.
  Returns:
    movieTime the corresponding movie time.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD